X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

Firefox upgraded this a.m. - Now I'm getting all sorts of JavaScript errors

Posted

I get these two on FaceBook:

evalInSandbox:Error: Permission denied for <https://facebook.com> to create wrapper for object of class UnnamedClass

Error: Permission denied for <https://facebook.com> to create wrapper for object of class UnnamedClass

Chosen solution

hello tami, please update to the latest version of social fixer at http://socialfixer.com/blog/category/releasenotes/ and afterwards go to firefox/tools > addons > extensions and remove the outdated version that is listed there...

Read this answer in context 2

Additional System Details

Installed Plug-ins

  • Shockwave Flash 11.7 r700
  • Adobe PDF Plug-In For Firefox and Netscape 11.0.03
  • Next Generation Java Plug-in 10.21.2 for Mozilla browsers
  • 5.1.20125.0
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.
  • DivX Plus Web Player version 2.2.0.52
  • DivX VOD Helper Plug-in
  • Windows Presentation Foundation (WPF) plug-in for Mozilla browsers
  • DRM Netscape Network Object
  • Npdsplay dll
  • DRM Store Netscape Plugin

Application

  • Firefox 22.0
  • User Agent: Mozilla/5.0 (Windows NT 5.1; rv:22.0) Gecko/20100101 Firefox/22.0
  • Support URL: http://support.mozilla.org/1/firefox/22.0/WINNT/en-US/

Extensions

  • Adblock Plus 2.2.4 ({d10d0bf8-f5b5-c8b4-a8b2-2b9879e08c5d})
  • Social Fixer 6.603 (betterfacebook@mattkruse.com)
  • Social Fixer 7.501 (socialfixer@mattkruse.com)
  • Troubleshooter 1.1a (troubleshooter@mozilla.org)
  • Updated Ad Blocker for Firefox 11+ 0.7.7 ({4DC70064-89E2-4a55-8FC6-E8CDEAE3618C})
  • DivX Plus Web Player HTML5 <video> 2.1.2.145 ({23fcfd51-4958-4f00-80a3-ae97e717ed8b}) (Inactive)
  • HP Smart Web Printing 4.60 (smartwebprinting@hp.com) (Inactive)
  • Microsoft .NET Framework Assistant 0.0.0 ({20a82645-c095-46ed-80e3-08825760534b}) (Inactive)

Javascript

  • incrementalGCEnabled: True

Graphics

  • adapterDescription: ATI Radeon HD 4300/4500 Series
  • adapterDescription2:
  • adapterDeviceID: 0x954f
  • adapterDeviceID2:
  • adapterDrivers: ati2dvag
  • adapterDrivers2:
  • adapterRAM: Unknown
  • adapterRAM2:
  • adapterVendorID: 0x1002
  • adapterVendorID2:
  • direct2DEnabled: False
  • direct2DEnabledMessage: [u'']
  • directWriteEnabled: False
  • directWriteVersion: 0.0.0.0
  • driverDate: 1-26-2011
  • driverDate2:
  • driverVersion: 8.821.0.0
  • driverVersion2:
  • info: {u'AzureCanvasBackend': u'skia', u'AzureFallbackCanvasBackend': u'cairo', u'AzureContentBackend': u'none'}
  • isGPU2Active: False
  • numAcceleratedWindows: 1
  • numTotalWindows: 1
  • webglRenderer: Google Inc. -- ANGLE (ATI Radeon HD 4300/4500 Series )
  • windowLayerManagerType: Direct3D 9

Modified Preferences

  • accessibility.typeaheadfind.flashBar: 0
  • browser.cache.disk.capacity: 358400
  • browser.cache.disk.smart_size.first_run: False
  • browser.cache.disk.smart_size.use_old_max: False
  • browser.cache.disk.smart_size_cached_value: 358400
  • browser.places.smartBookmarksVersion: 4
  • browser.startup.homepage: http://my.bresnan.net/
  • browser.startup.homepage_override.buildID: 20130618035212
  • browser.startup.homepage_override.mstone: 22.0
  • dom.mozApps.used: True
  • dom.w3c_touch_events.expose: False
  • extensions.lastAppVersion: 22.0
  • network.cookie.prefsMigrated: True
  • places.database.lastMaintenance: 1372207100
  • places.history.expiration.transient_current_max_pages: 53648
  • plugin.disable_full_page_plugin_for_types: application/pdf
  • plugin.importedState: True
  • privacy.sanitize.migrateFx3Prefs: True
  • storage.vacuum.last.index: 1
  • storage.vacuum.last.places.sqlite: 1370726419

Misc

  • User JS: No
  • Accessibility: No
philipp
  • Top 10 Contributor
  • Moderator
2042 solutions 8887 answers

Chosen Solution

hello tami, please update to the latest version of social fixer at http://socialfixer.com/blog/category/releasenotes/ and afterwards go to firefox/tools > addons > extensions and remove the outdated version that is listed there...

cor-el
  • Top 10 Contributor
  • Moderator
10742 solutions 96657 answers

Helpful Reply

Note that your System Details List shows two Social Fixer extensions:

  1. Social Fixer 6.603
  2. Social Fixer 7.501

Make sure that you only keep the latest version.